<?php

if (!defined('TOBBIVM')) header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * Verify and save data from orders-editorpage and then call orderpage
 * used from orders.page.list.php
 *
 * @version    $Id$
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2016
 * @author     Norbert Gebert
 * @license    GPL3
 */
$mysqlBuffer = array();

$datax = $refValidate->testNumber($_POST['orderId'], '');

if (!$datax)
{
	message::setErrorRow(_('ID-Number for saving has a wrong format or is invalid.') . '<br>' .
			  _('No data could be saved!'), true);
}
else
{
	$idx = $datax;

	// company
	$datax = $_POST['customeridx'];
	if ($datax) $mysqlBuffer['orderer_company'] = $datax;

	// Firstname
	$datax = $_POST['firstnamex'];
	if ($datax) $mysqlBuffer['orderer_firstname'] = $datax;

	// Lastname
	$datax = $_POST['lastnamex'];
	if ($datax) $mysqlBuffer['orderer_lastname'] = $datax;

	// Street
	$datax = $_POST['streetx'];
	if ($datax) $mysqlBuffer['orderer_street'] = $datax;

	// Zip
	$datax = $_POST['zipx'];
	if ($datax) $mysqlBuffer['orderer_zip'] = intval($datax);

	// City
	$datax = $_POST['cityx'];
	if ($datax) $mysqlBuffer['orderer_city'] = $datax;

	// Country
	$datax = $_POST['countryx'];

	if ($datax) $mysqlBuffer['orderer_country'] = $datax;

	// Phone
	$datax = $_POST['phonex'];
	if ($datax) $mysqlBuffer['orderer_phone'] = intval($datax);

	// Fax
	$datax = $_POST['faxx'];
	if ($datax) $mysqlBuffer['orderer_fax'] = intval($datax);

	// Handy
	$datax = $_POST['handyx'];
	if ($datax) $mysqlBuffer['orderer_handy'] = intval($datax);

	// Email
	$datax = $_POST['emailx'];
	if ($datax) $mysqlBuffer['orderer_email'] = intval($datax);

   // Payment status
   $datax = $_POST['statusx'];
	if ($datax) $mysqlBuffer['orderer_order_status'] = intval($datax);
   
   // Shop comments
   $datax = $_POST['shopNotex'];
	if ($datax) $mysqlBuffer['orderer_shop_comment'] = $datax;
   
	db::getInstance()->where('orderer_id', $idx);
	if (db::getInstance()->update('orderer' . SUFFIX, $mysqlBuffer))
			message::setNoteRow(_('Data successful saved.'), TRUE);
	else message::setErrorRow(_('Data coud not save!'), true);
}