<?php
if (!defined('TOBBIVM')) header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * Template for Article->Category
 * used by category_page.table.php
 *
 * @version    $Id$
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2012
 * @author     Norbert Gebert
 * @license    GPL3
 */
?>

<h2>{page_titel}</h2>

<form class="niceform fieldset category" action="{formStart}" method="post">
	<fieldset>

		<table id="rounded-corner-category" summary="{table_summary}">
			<!-- column-with  max table width: 850-->
			<colgroup>
				<col width="25">
				<col width="40">
				<col width="395">
				<col width="50">
				<col width="50">
				<!-- IF category_activ_1 -->
				<col width="50">
				<!-- ENDIF category_activ_1 -->
				<!-- IF category_activ_2 -->
				<col width="50">
				<!-- ENDIF category_activ_2 -->
				<!-- IF category_activ_3 -->
				<col width="50">
				<!-- ENDIF category_activ_3 -->
				<!-- IF category_activ_4 -->
				<col width="50">
				<!-- ENDIF category_activ_4 -->
				<!-- IF category_activ_5 -->
				<col width="50">
				<!-- ENDIF category_activ_5 -->

				<col width="130">
			</colgroup>

			<thead>
				<tr>
					<th scope="col" class="rounded-company"></th>
					<th scope="col" class="rounded">{category_id}</th>
					<th scope="col" class="rounded">{category_name}</th>
					<th scope="col" class="rounded">{category_order}</th>
					<th scope="col" class="rounded">{category_activ}</th>
					<!-- IF category_activ_1 -->
					<th scope="col" class="rounded">{category_activ_1}</th>
					<!-- ENDIF category_activ_1 -->
					<!-- IF category_activ_2 -->
					<th scope="col" class="rounded">{category_activ_2}</th>
					<!-- ENDIF category_activ_2 -->
					<!-- IF category_activ_3 -->
					<th scope="col" class="rounded">{category_activ_3}</th>
					<!-- ENDIF category_activ_3 -->
					<!-- IF category_activ_4 -->
					<th scope="col" class="rounded">{category_activ_4}</th>
					<!-- ENDIF category_activ_4 -->
					<!-- IF category_activ_5 -->
					<th scope="col" class="rounded">{category_activ_4}</th>
					<!-- ENDIF category_activ_5 -->




					<th scope="col" class="rounded-q4">{category_article}</th>
				</tr>
			</thead>

			<tfoot>
				<tr>
					<td class="rounded-foot-left"></td>
					<td colspan="{colspan}" class="rounded-foot-left">

						<div class="pagination">
							<a href="{urlPageFirst}">{txtPageFirst}</a>
							<a href="{urlPagePrev}">{txtPagePrev}</a>

							<!-- BEGIN urlPageP -->
							<a href="{url}">{text}</a>
							<!-- END urlPageP -->

							<span class="current">{nrPageC}</span>

							<!-- BEGIN PageN -->
							<a href="{url}">{text}</a>
							<!-- END PageN -->

							<a href="{urlPageNext}">{txtPageNext}</a>
							<a href="{urlPageLast}">{txtPageLast}</a>
						</div>				

					</td>
					<td class="rounded-foot-right">&nbsp;</td>
				</tr>
			</tfoot>

			<tbody>
				<!-- BEGIN data -->
				<tr {ankerx}>
					<td>{category_set}</td>
					<td><div align="right">{category_idx}</div></td>
					<td>{category_namex}</td>
					<td><div align="right">{category_orderx}</div></td>
					<td><div align="center">{category_activx}</div></td>
					<!-- IF category_activx_1 -->
					<td><div align="center">{category_activx_1}</div></td>
					<!-- ENDIF category_activx_1 -->
					<!-- IF category_activx_2 -->
					<td><div align="center">{category_activx_2}</div></td>
					<!-- ENDIF category_activx_2 -->
					<!-- IF category_activx_3 -->
					<td><div align="center">{category_activx_3}</div></td>
					<!-- ENDIF category_activx_3 -->
					<!-- IF category_activx_4 -->
					<td><div align="center">{category_activx_4}</div></td>
					<!-- ENDIF category_activx_4 -->
					<!-- IF category_activx_5 -->
					<td><div align="center">{category_activx_5}</div></td>
					<!-- ENDIF category_activx_5 -->
					<td>{category_articlex}</td>
				</tr>
				<!-- END data -->
			</tbody>
		</table>

		<dl class="submit"> 
			{btnDelete}
			{btnNew}
			{btnCopy}
		</dl>
		<dl>
			{categoryPageHelp}
		</dl>
	</fieldset>
</form>