<?php
if (!defined('TOBBIVM'))
	header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * Template for payment-editor
 * used from payment.page.editor.php
 *
 * @version    $Id: payment.editor.tpl.php 12 2018-07-17 06:40:17Z norbert-neo $
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2012-2015
 * @author     Norbert Gebert
 * @license    GPL3
 */
?>

<h2>{page_title}</h2>
<div class="form">
	{Form_Start}
	<dl>
		<dt>{id}</dt>
	</dl>

	<dl>
		<dt><label for="namex">{name}</label></dt>
		<dd>
			<input type="text" name="namex" id="namex" size="35" value="{namex}" />
			{namexHelp}
		</dd>
	</dl>

	<dl>
		<dt><label for="valuex">{value}</label></dt>
		<dd>
			<input type="text" name="valuex" id="valuex" size="8" value="{valuex}" />
			{valuexHelp}
		</dd>
	</dl>

	<dl>
		<dt><label for="orderx">{order}</label></dt>
		<dd>
			<input type="text" name="orderx" id="orderx" size="3" value="{orderx}" />
			{orderxHelp}
		</dd>
	</dl>

	<dl>
		<dt><label for="activex">{active}</label></dt>
		<dd>
			{activex}&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;
			{activexHelp}
		</dd>
	</dl>

	<dl>
		<dt><label for="tablex">{table}</label></dt>
		<dd>
			<textarea style="visibility: hidden; display: none;" class="ckeditor" name="texty" id="texty" 
						 rows="25" cols="56">{tablex}</textarea>
			<script type="text/javascript" src="{tpl_js}ckeditor.payment.js"></script>
		</dd>
	</dl>
	<br><br><br>
	<dl>
		<dt><label for="filex">{file}</label></dt>
		<dd>
			<input type="text" name="filex" id="filex" size="60" value="{filex}" />
			{filexHelp}
		</dd>
	</dl>
	<br>

	<!-- IF config -->
	<dl>
		<dt><label>{config}</label></dt>
	</dl>

	<!-- BEGIN configx -->
	<dl>
		<dt><label for="{indexx}">{namex}</label></dt>
		<dd>
			<input type="text" name="{indexx}" id="{indexx}" size="60" value="{valuex}" />
			{indexxHelp}
		</dd>
	</dl>
	<!-- END configx -->
	<!-- ENDIF config -->

	<dl class="submit">
		{btn_save}
		{btn_abort}
	</dl>

	{Form_End}
</div>

<script type="text/javascript">
	function validate_editor(){
		// To solve the error of using Ckeditor with jqury validation
		CKEDITOR.instances.content.updateElement();
	}
</script>