<?php
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * Installation of TobbiVM-Shop
 * Display htpasswd-page
 * @since 0.1.2
 * @version 0.1.2
 * @package TobbiVM-Shop
 * @copyright Copyright (C) 2018
 * @license GPL3
 * @category install
 * @package install
 * @subpackage install
 * $Rev: 20 $
 * $Date: 2018-07-19 20:25:50 +0200 (Do, 19. Jul 2018) $
 * $Author: norbert-neo $
 * $URL: https://svn.code.sf.net/p/tobbivm/code/trunk/install/server.php $
 */
?>
<h1>Passwortschutz erstellen</h1>
<br>
<form action="index.php?page=makepasswd" method="post" id="formid">
   <fieldset>
      <h2>Erstellen des htaccess-Schutzes f&uuml;r das Backend</h2>
      <article>
         <p>
            Hier kannst du deinen Benutzernamen und ein m&ouml;glichst kopliziertes 
            Passwort (z.B. Michael Muster und K0mpl1z13rtes$Pa22wort) eingeben. <br>
            Alle aktuellen Browser bieten heutzutage die M&ouml;glichkeit an, diese 
            beiden Felder automatisch auszufüllen. Damit kannst du dann auch Zeichenketten 
            von beispielsweise 30 Zeichen problemlos als Passwort nutzen.<br>
            Nach dem erstellen des Passwortschutzes wird automatisch das Installationsverzeichnis 
            entfernt und die Shop-Startseite aufgerufen.<br>
            Den Administrationsbereich kannst du einfach mit <?php echo $_SERVER['HTTP_HOST']; ?>/admin aufrufen.<br>
            Für das Login:<br>
            Benutzer:Otto<br>
            Passwort:Geheimeswort<br>
         </p>
         <p class="input">
            Benutzername: <input type="text" id="name" name="name" value="Benutzer" size="60" /><br>
            Passwort: <input type="text" id="password" name="password" value="Passwort" size="60" /><br>
         </p>
      </article>

      <input type="submit" value="Passwortschutz erstellen"/>
      <br>
   </fieldset>
</field>