<?php

if (!defined('TOBBIVM')) header('location:/admin/template/notepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * Create price browse page
 * get pricelist.tpl.php
 *
 * @version    $Id$
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2012
 * @author     Norbert Gebert
 * @license    GPL3
 */
$file = 'module/function/pricelist.pagination.func.php';
if (is_file($file)) include $file;

db::getInstance()->where('price_art', '1', '!=');
db::getInstance()->orwhere('price_fix', '0', '<>');
db::getInstance()->orderBy('price_name', 'ASC');
$result = db::getInstance()->get('price');

if (db::getInstance()->count <= 0)
{
	message::setErrorRow(_('Databaseerror! - Contact Admin!'), true);
}
else
{
	$refPage->assign('page_title', _('Price settings'));
	$refPage->assign('summary', _('This table gives a overview of the price lists'));

	$refPage->assign('price_id', _('ID'));
	$refPage->assign('price_name', _('Name'));

	$refPage->assign('Form_Start',
			  '<form class="niceform fieldset pricelistTable" action="' .
			  'index2.php?page=' . $page . '&sub=' . $subpage .
			  '" method="post"><fieldset>');
	$refPage->assign('Form_End', '</fieldset></form>');
	$data = NULL;

	if ($result !== NULL)
	{
		$counter = 0;
		// Set datarows to display
		if (!isset($_SESSION['pageP'])) $_SESSION['pageP'] = 1;
		if (ceil(count($result) / PRICELIST_LIST) < $_SESSION['pageP']) $_SESSION['pageP'] --;
		if ($_SESSION['pageP'] <= 0) $_SESSION['pageP'] = 1;
		$pageFirst = ($_SESSION['pageP'] * PRICELIST_LIST) - PRICELIST_LIST + 1;
		$pageLast = $_SESSION['pageP'] * PRICELIST_LIST;
		getPagination($refPage, count($result));
		$topOrderId = 0;
		
		foreach ($result as $buffer)
		{
			$counter ++;

			if ($counter < $pageFirst) continue;

			if ($counter > $pageLast) break;
			
			$price_namey = '<a href="index2.php?page=' . $page . '&sub=' . $subpage .
					  '&id=' . $buffer['price_id'] . '&func=edit">' . $buffer['price_name'] . '</a>';

			$data[] = array('price_setx' => '<input type="checkbox" name="marker[]" value="' .
				 $buffer['price_id'] . '" />',
				 'price_idx' => $buffer['price_id'],
				 'price_namex' => $price_namey);
		}
	}
	$refPage->assign('data', $data);

	$refPage->assign('btn_Delete',
			  '<input type="submit" name="submit" id="delete" value="' .
			  _('Delete') . '" />');
	$refPage->assign('btn_New',
			  '<input type="submit" name="submit" id="new" value="' .
			  _('New') . '" />');
	$refPage->assign('tableHelp', help('pricelist', $page, TRUE));

	$refPage->addtpl('content', '/' . $page . '/' . $subpage . '.tpl.php');
}
?>