<?php

if (!defined('TOBBIVM'))
	header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * Safty-Page for delete pages
 * Prints a list of the pages to delete
 * get pages.delete.tpl.php
 * used from pages.page.php
 * 
 * @version    $Id$
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2018
 * @author     Norbert Gebert
 * @license    GPL3
 */
$messagetext = '';

// "delete" article
$data = array();
$deleteIds = '';
$refPage->addtpl('content', '/page/pages.delete.tpl.php');
$refPage->assign('pageTitle', _('Can the following page(s) be deleted?'));
$refPage->assign('summary', _('Entries are deleted'));

$refPage->assign('pagesId', _('ID'));
$refPage->assign('pagesName', _('Page(s)-Name'));

foreach ($_POST['marker'] as $idx)
{
	$idx = $refValidate->cleanslash($idx);
	db::getInstance()->where("pages_id", $idx);
	$result = db::getInstance()->getOne("pages");

	$data[] = array('pagesIdx' => $result['pages_id'],
	 'pagesNamex' => $result['pages_name']);
	$deleteIds .= $result['pages_id'] . '-';
}

$refPage->assign('startForm',
	'action="index2.php?page=' . $page . '&sub=' . $subpage .
	'&func=deleteNow" method="post"');
$refPage->assign('data', $data);

$refPage->assign('btnDelete',
	'<input type="hidden" name="deleteIds" id="deleteIds" value="' . $deleteIds . '" />' .
	'<input type="submit" name="submit" id="deleteNow" value="' . _('Delete now') . '" />');

$refPage->assign('btnAbort',
	'<input type="submit" name="submit" id="cancel" value="' . _('Cancel') . '" />');
