<?php

if (!defined('TOBBIVM'))
	header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * create numbers browse page
 * used from numbers.page.php
 *
 * @version    $Id: numbers.tpl.php 12 2018-07-17 06:40:17Z norbert-neo $
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2012
 * @author     Norbert Gebert
 * @license    GPL3
 */
?>
<h2>{name}</h2>

<div class="form">
	<form action="{action}" method="post" class="niceform fieldset">
		<fieldset>
			<dl>
				<dt><label for="ordernumberx">{ordernumber}</label></dt>
				<dd>
					<input type="text" name="ordernumberx" id="ordernumberx" size="30" value="{ordernumberx}" />
					{ordernumberxHelp}
				</dd>
			</dl>
			
			<dl>
				<dt><label for="customernumberx">{customernumber}</label></dt>
				<dd>
					<input type="text" name="customernumberx" id="customernumberx" size="30" value="{customernumberx}" />
					{customernumberxHelp}
				</dd>
			</dl>
			
			<dl>
				<dt><label for="taxnox">{taxno}</label></dt>
				<dd>
					<input type="text" name="taxnox" id="taxnox" size="30" value="{taxnox}" />
					{taxnoxHelp}
				</dd>
			</dl>
			
			<dl>
				<dt><label for="taxidx">{taxid}</label></dt>
				<dd>
					<input type="text" name="taxidx" id="taxidx" size="30" value="{taxidx}" />
					{taxidxHelp}
				</dd>
			</dl>

			<dl class="submit">
				{save}
				{abort}
			</dl>

		</fieldset>
	</form>
</div>
