<?php
if (!defined('TOBBIVM'))
   header('location:/template/notrepassing.php');
/**
 * This file is part of TobbiVMShop.
 *
 * TobbiVMShop is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * TobbiVMShop is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with TobbiVMShop.  If not, see <http://www.gnu.org/licenses/>.
 */
/**
 * create start layout
 * used by index.php
 *
 * @version    $Id: index.tpl.php 30 2018-08-13 11:08:47Z norbert-neo $
 * @package    TobbiVM-Shop
 * @copyright  Copyright (C) 2012
 * @author     Norbert Gebert
 * @license    GPL3
 */
echo '<?xml version="1.0" ?>';
?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"    "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
   <head>
      <link rel="alternate" hreflang="de-at" href="{canonical}" />
      <meta http-equiv="content-type" content="text/html; charset=utf-8" />
      <meta name="robots" content="index, follow" />
      <meta name="description" content="{Metadescription}" />
      <meta name="generator" content="{Metagenerator}" />
      <title>{templateTitel}
      </title>
      <link rel="stylesheet" type="text/css" href="{tpl_css}template.css" />
      <link rel="stylesheet" type="text/css" href="{tpl_css}category.css" />
      <link rel="stylesheet" type="text/css" href="{tpl_css}article.css" />
      <link rel="stylesheet" type="text/css" href="{tpl_css}content.css" />
      <link rel="stylesheet" type="text/css" href="{tpl_css}lightbox.css" />      {scripts}
   </head>
   <body>
      <!-- *********************************************************************** -->
      <div id="template_all">
         <div  id="header" >
            <div>
               <div id="header_top">
                  <div id="sitename">
                     <!--Sitename -->
                     <!-- INCLUDE find.row.tpl.php -->
                  </div>
               </div>
               <div id="user3">
                  <!-- INCLUDE staticpage.menu.tpl.php -->
               </div>
            </div>
         </div>
         <!-- *********************************************************************** -->
         <div id="content_center">
            <div id="content_left_top">
               <div id="left">
                  <!-- INCLUDE categorypage.menu.tpl.php -->
                  <!-- INCLUDE minicart.tpl.php -->
                  <br />
                  <br />
                  <!-- INCLUDE pagecategory.menu.tpl.php -->
                  <br />
                  <br />
                  <!-- INCLUDE login.tpl.php -->
                  <!-- INCLUDE counter.tpl.php -->
               </div>
            </div>
            <div id="content_main">
               <div id="content_body">
                  <!-- IF errorText -->
                  {errorText}
                  <br />
                  <!-- ENDIF errorText -->
                  <!-- IF warningText -->
                  {warningText}
                  <br />
                  <!-- ENDIF warningText -->
                  <!-- IF noteText -->
                  {noteText}
                  <br />
                  <!-- ENDIF noteText -->
                  <div id="content_center_head">
                     <div id="content_center_head_1">
                        {contentHead1}
                     </div>
                     <div id="content_center_head_2">
                        {contentHead2}
                     </div>
                  </div>
                  <br />
                  {content}
                  <div id="content_center_footer_1">
                     {contentFooter1}
                  </div>
                  <div id="content_center_footer_2">
                     {contentFooter2}
                  </div>
               </div>
            </div>
            <div id="content_left_bottom">
            </div>
         </div>
         <!-- *********************************************************************** -->
         <div id="content_bottom">
            <center>
               www.TobbiVM.de
            </center>
         </div>
      </div>
      <!-- *********************************************************************** -->
      <script src="{tpl_js}lightbox.min.js"></script>
      <!-- INCLUDE cookieinfo.tpl.php -->
   </body>
</html>